| gclib 2.4.1 Galil Communications Library

Loading...
Searching...
No Matches
Functions
Unsolicited Data
.NET (C# / VB) » Controller

Receive messages and interrupts. More...

## Functions
byte | gclib.GInterrupt ()
| Provides access to PCI and UDP interrupts from the controller.
string | gclib.GMessage ()
| Provides access to unsolicited messages.
T | gclib.GRecord< T > (bool async)
| Used for retrieving data records from the controller.
void | gclib.GRecordRate (double period_ms)
| Sets the asynchronous data record to a user-specified period via DR.

## Detailed Description

Receive messages and interrupts.

## Function Documentation

## ◆ GInterrupt()

byte gclib.GInterrupt | ( |  | ) |
| inline

Provides access to PCI and UDP interrupts from the controller.

Returns
  The status byte from the controller. Zero will be returned if a status byte is not read.

Wrapper around gclib GInterrupt(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a5bcf802404a96343e7593d247b67f132 -s ALL or -s EI must be specified in the address argument of GOpen() to receive interrupts.

Definition at line 354 of file gclib.cs.

## ◆ GMessage()

string gclib.GMessage | ( |  | ) |
| inline

Provides access to unsolicited messages.

Returns
  String containing all messages received by controller.

Wrapper around gclib GMessage(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#aabc5eaa09ddeca55ab8ee048b916cbcd An empty string is returned on error. -s ALL or -s MG must be specified in the address argument of GOpen() to receive messages.

Definition at line 399 of file gclib.cs.

## ◆ GRecord< T >()

T gclib.GRecord< T > | ( | bool | async | ) |
| inline

Used for retrieving data records from the controller.

Returns
  A struct containing the information from the retrieved data record.

Parameters

  async | False to user QR, True to use DR.

Wrapper around gclib GRecord(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclib_8h.html#a1f39cd57dcfa55d065c972a020b1f8ee To use async, -s ALL or -s DR must be specified in the address argument of GOpen(), and the records must be started via DR or RecordRate().

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Type Constraints

  T | : | struct |
  T | : | GDataRecord |

Definition at line 565 of file gclib.cs.

## ◆ GRecordRate()

void gclib.GRecordRate | ( | double | period_ms | ) |
| inline

Sets the asynchronous data record to a user-specified period via DR.

Parameters

  period_ms | Period, in milliseconds, to set up for the asynchronous data record.

Wrapper around gclib GRecordRate(), http://www.galil.com/sw/pub/all/doc/gclib/html/gclibo_8h.html#ada86dc9d33ac961412583881963a1b8a Takes TM and product type into account and sets the DR period to the period requested by the user, if possible.

Exceptions

  System.Exception | Will throw an exception if anything other than G_NO_ERROR is received from gclib.

Definition at line 588 of file gclib.cs.